package com.liquidnet.service.candy.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
@ApiModel
public class CandyCouponRulesVo implements Serializable,Cloneable {

    private static final long serialVersionUID = 4073256621782131607L;

    @ApiModelProperty(value = "适用范围[100-全场｜90-演出｜91-场次｜92-票｜80-商品｜81-款式]",example = "90")
    private Integer useScope;
    @ApiModelProperty(value = "适用名称",example = "北京草莓")
    private String busiName;
    @ApiModelProperty(value = "适用ID",example = "1")
    private String busiId;

    private static final CandyCouponRulesVo obj = new CandyCouponRulesVo();
    public static CandyCouponRulesVo getNew() {
        try {
            return (CandyCouponRulesVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            e.printStackTrace();
        }
        return new CandyCouponRulesVo();
    }

}
